JndiServiceImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.jndi.internal
Class JndiServiceImpl

    java.lang.Object
      org.hibernate.service.jndi.internal.JndiServiceImpl

All Implemented Interfaces:
  Serializable, JndiService, Service

    public class JndiServiceImpl

extends Object
implements JndiService

Standard implementation of JNDI services.

See Also:
  Serialized Form

Constructor Summary
`JndiServiceImpl(Map configurationValues)`

Method Summary
`void` | `addListener(String jndiName, NamespaceChangeListener listener)` Adds the specified listener to the given JNDI namespace.
`void` | `bind(String jndiName, Object value)` Binds a value into JNDI by name.
`Object` | `locate(String jndiName)` Locate an object in JNDI by name
`void` | `unbind(String jndiName)` Unbind a value from JNDI by name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JndiServiceImpl

    public JndiServiceImpl(Map configurationValues)

Method Detail

### locate

    public Object locate(String jndiName)

  Description copied from interface: `JndiService`
  Locate an object in JNDI by name

  Specified by:
    `locate` in interface `JndiService`
  Parameters:
    `jndiName` - The JNDI name of the object to locate
  Returns:
    The object found (may be null).

### bind

    public void bind(String jndiName,
                     Object value)

  Description copied from interface: `JndiService`
  Binds a value into JNDI by name.

  Specified by:
    `bind` in interface `JndiService`
  Parameters:
    `jndiName` - The name under which to bind the object
    `value` - The value to bind

### unbind

    public void unbind(String jndiName)

  Description copied from interface: `JndiService`
  Unbind a value from JNDI by name.

  Specified by:
    `unbind` in interface `JndiService`
  Parameters:
    `jndiName` - The name under which the object is bound

### addListener

    public void addListener(String jndiName,
                            NamespaceChangeListener listener)

  Description copied from interface: `JndiService`
  Adds the specified listener to the given JNDI namespace.

  Specified by:
    `addListener` in interface `JndiService`
  Parameters:
    `jndiName` - The JNDI namespace
    `listener` - The listener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.